Bug 1701485 - [abrt] kf5-kglobalaccel: qt_message_fatal(): kglobalaccel5 killed by SIGABRT
Summary: [abrt] kf5-kglobalaccel: qt_message_fatal(): kglobalaccel5 killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-kglobalaccel
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:76d31904d5f535cae93a37ac65f...
: 1704578 1705782 1706414 1711436 1713930 1716753 1723181 1726049 1727367 1730430 1734740 1740105 1744007 1747681 1749592 1753365 1761310 1762684 1765874 1770472 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-19 08:18 UTC by lonelywoolf
Modified: 2020-05-26 18:27 UTC (History)
37 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 18:27:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (20.20 KB, text/plain)
2019-04-19 08:18 UTC, lonelywoolf
no flags Details
File: cgroup (507 bytes, text/plain)
2019-04-19 08:18 UTC, lonelywoolf
no flags Details
File: core_backtrace (2.76 KB, text/plain)
2019-04-19 08:18 UTC, lonelywoolf
no flags Details
File: cpuinfo (1.51 KB, text/plain)
2019-04-19 08:18 UTC, lonelywoolf
no flags Details
File: dso_list (6.43 KB, text/plain)
2019-04-19 08:18 UTC, lonelywoolf
no flags Details
File: environ (1.53 KB, text/plain)
2019-04-19 08:18 UTC, lonelywoolf
no flags Details
File: limits (1.29 KB, text/plain)
2019-04-19 08:18 UTC, lonelywoolf
no flags Details
File: maps (39.07 KB, text/plain)
2019-04-19 08:18 UTC, lonelywoolf
no flags Details
File: mountinfo (3.67 KB, text/plain)
2019-04-19 08:18 UTC, lonelywoolf
no flags Details
File: open_fds (186 bytes, text/plain)
2019-04-19 08:19 UTC, lonelywoolf
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-04-19 08:19 UTC, lonelywoolf
no flags Details
File: var_log_messages (762 bytes, text/plain)
2019-04-19 08:19 UTC, lonelywoolf
no flags Details

Description lonelywoolf 2019-04-19 08:18:37 UTC
Version-Release number of selected component:
kf5-kglobalaccel-5.55.0-1.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/kglobalaccel5
crash_function: qt_message_fatal
executable:     /usr/bin/kglobalaccel5
journald_cursor: s=6e0043f3f735439aa59244fb04bf5969;i=1447e;b=328e522eda5a4e4c80e8982d68f676cb;m=30157456;t=586cf5e333a1b;x=37f9295ba82fc277
kernel:         5.0.7-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #2 qt_message_fatal at global/qlogging.cpp:1901
 #3 QMessageLogger::fatal at global/qlogging.cpp:887
 #4 init_platform at ../../include/QtCore/../../src/corelib/tools/qarraydata.h:208
 #5 QGuiApplicationPrivate::createPlatformIntegration at kernel/qguiapplication.cpp:1384
 #6 QGuiApplicationPrivate::createEventDispatcher at kernel/qguiapplication.cpp:1401
 #7 QCoreApplicationPrivate::init at kernel/qcoreapplication.cpp:857
 #8 QGuiApplicationPrivate::init at kernel/qguiapplication.cpp:1430
 #9 QGuiApplication::QGuiApplication at ../../include/QtCore/../../src/corelib/global/qglobal.h:1038

Comment 1 lonelywoolf 2019-04-19 08:18:42 UTC
Created attachment 1556384 [details]
File: backtrace

Comment 2 lonelywoolf 2019-04-19 08:18:44 UTC
Created attachment 1556385 [details]
File: cgroup

Comment 3 lonelywoolf 2019-04-19 08:18:46 UTC
Created attachment 1556386 [details]
File: core_backtrace

Comment 4 lonelywoolf 2019-04-19 08:18:48 UTC
Created attachment 1556387 [details]
File: cpuinfo

Comment 5 lonelywoolf 2019-04-19 08:18:50 UTC
Created attachment 1556388 [details]
File: dso_list

Comment 6 lonelywoolf 2019-04-19 08:18:52 UTC
Created attachment 1556389 [details]
File: environ

Comment 7 lonelywoolf 2019-04-19 08:18:54 UTC
Created attachment 1556390 [details]
File: limits

Comment 8 lonelywoolf 2019-04-19 08:18:57 UTC
Created attachment 1556391 [details]
File: maps

Comment 9 lonelywoolf 2019-04-19 08:18:59 UTC
Created attachment 1556392 [details]
File: mountinfo

Comment 10 lonelywoolf 2019-04-19 08:19:01 UTC
Created attachment 1556393 [details]
File: open_fds

Comment 11 lonelywoolf 2019-04-19 08:19:03 UTC
Created attachment 1556394 [details]
File: proc_pid_status

Comment 12 lonelywoolf 2019-04-19 08:19:04 UTC
Created attachment 1556395 [details]
File: var_log_messages

Comment 13 Rex Dieter 2019-04-19 13:42:47 UTC
var_log_messages implies X server died/crashed,


апр 18 22:07:58 localhost.localdomain kglobalaccel5[1939]: The X11 connection broke (error 1). Did the X11 server die?
апр 18 22:07:58 localhost.localdomain kglobalaccel5[3836]: qt.qpa.xcb: could not connect to display :0
апр 18 22:07:58 localhost.localdomain kglobalaccel5[3836]: qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.

Comment 14 ozeszty 2019-04-23 13:18:14 UTC
Similar problem has been detected:

Happned after tryng to switch user (from Application menu) and clicking on 'Start new session'.
After that sddm allows to login to different profile, but previous session (user's I switched from) is no longer available.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/kglobalaccel5
crash_function: qt_message_fatal
executable:     /usr/bin/kglobalaccel5
journald_cursor: s=3b4792021f4a40e5b1758b0cc6bc868d;i=490c1;b=0df91e00963b4ef7b354f6148f997361;m=6107e90;t=58731fe120cba;x=c83007c55fe221ce
kernel:         5.0.7-300.fc30.x86_64
package:        kf5-kglobalaccel-5.55.0-1.fc30
reason:         kglobalaccel5 killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Rex Dieter 2019-04-30 13:20:13 UTC
*** Bug 1704578 has been marked as a duplicate of this bug. ***

Comment 16 Jeremy Linton 2019-04-30 22:16:06 UTC
Similar problem has been detected:

Upgrade thunderX2/F29 release with KDE plasma shell/sddm to F30 release.

Previously working great, now SDDM is flickering, plasmashell is hanging/crashing and i got this too.

This machine was running a 5.0 kernel with F29 just fine, I switched it to gnome/xorg and that appears to be working fine too.

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/kglobalaccel5
crash_function: qt_message_fatal
executable:     /usr/bin/kglobalaccel5
journald_cursor: s=bd3c3c987df349acb1c4aae1fb77ffbe;i=4556d;b=83f23cef0b2b4876a92e96e4166923ed;m=d57c408;t=587c613e661d8;x=ab0af740f8883ae9
kernel:         5.0.9-301.fc30.aarch64
package:        kf5-kglobalaccel-5.55.0-1.fc30
reason:         kglobalaccel5 killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 17 Damir Handoyo 2019-05-03 00:35:04 UTC
*** Bug 1705782 has been marked as a duplicate of this bug. ***

Comment 18 Pomed1932 2019-05-04 17:56:47 UTC
*** Bug 1706414 has been marked as a duplicate of this bug. ***

Comment 19 alain.thiaville 2019-05-10 22:16:12 UTC
Similar problem has been detected:

after system upgrade to fedara 30

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/kglobalaccel5
crash_function: qt_message_fatal
executable:     /usr/bin/kglobalaccel5
journald_cursor: s=4f86034f8dcd4d13afc7e44c302d3725;i=390d9;b=9e9461d3abfd41e08831a6e5dcbda1d8;m=1f8e10dac;t=5888fb9be45cd;x=c38d387c8699fe02
kernel:         5.0.13-300.fc30.x86_64
package:        kf5-kglobalaccel-5.57.0-1.fc30
reason:         kglobalaccel5 killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1002

Comment 20 Jetchko Jekov 2019-05-14 13:13:15 UTC
Most probably upstream bug is https://bugs.kde.org/show_bug.cgi?id=406426

At least for me applying these 2 patches from the bug report and rebuilding the package solved the crash I was having on startup.

https://cgit.kde.org/kglobalaccel.git/commit/?id=abe32ec599397bda0ce73471519410bee2c16059
https://cgit.kde.org/kglobalaccel.git/commit/?id=78a711361db3a5156f511eab89ff7ebbc86b9125

Comment 21 Rex Dieter 2019-05-14 14:01:30 UTC
kf5-5.58 update is being worked-on, should arrive in updates-testing later this week.

Comment 22 Fedora Update System 2019-05-15 17:52:05 UTC
breeze-icon-theme-5.58.0-1.fc30 extra-cmake-modules-5.58.0-1.fc30 kf5-5.58.0-1.fc30 kf5-attica-5.58.0-1.fc30 kf5-baloo-5.58.0-1.fc30 kf5-bluez-qt-5.58.0-1.fc30 kf5-frameworkintegration-5.58.0-2.fc30 kf5-kactivities-5.58.0-1.fc30 kf5-kactivities-stats-5.58.0-1.fc30 kf5-kapidox-5.58.0-1.fc30 kf5-karchive-5.58.0-1.fc30 kf5-kauth-5.58.0-1.fc30 kf5-kbookmarks-5.58.0-1.fc30 kf5-kcmutils-5.58.0-1.fc30 kf5-kcodecs-5.58.0-1.fc30 kf5-kcompletion-5.58.0-1.fc30 kf5-kconfig-5.58.0-1.fc30 kf5-kconfigwidgets-5.58.0-1.fc30 kf5-kcoreaddons-5.58.0-2.fc30 kf5-kcrash-5.58.0-1.fc30 kf5-kdbusaddons-5.58.0-1.fc30 kf5-kdeclarative-5.58.0-1.fc30 kf5-kded-5.58.0-1.fc30 kf5-kdelibs4support-5.58.0-1.fc30 kf5-kdesignerplugin-5.58.0-1.fc30 kf5-kdesu-5.58.0-1.fc30 kf5-kdewebkit-5.58.0-1.fc30 kf5-kdnssd-5.58.0-1.fc30 kf5-kdoctools-5.58.0-1.fc30 kf5-kemoticons-5.58.0-1.fc30 kf5-kfilemetadata-5.58.0-1.fc30 kf5-kglobalaccel-5.58.0-1.fc30 kf5-kguiaddons-5.58.0-1.fc30 kf5-kholidays-5.58.0-1.fc30 kf5-khtml-5.58.0-1.fc30 kf5-ki18n-5.58.0-1.fc30 kf5-kiconthemes-5.58.0-1.fc30 kf5-kidletime-5.58.0-1.fc30 kf5-kimageformats-5.58.0-1.fc30 kf5-kinit-5.58.0-1.fc30 kf5-kio-5.58.0-1.fc30 kf5-kirigami2-5.58.0-1.fc30 kf5-kitemmodels-5.58.0-1.fc30 kf5-kitemviews-5.58.0-1.fc30 kf5-kjobwidgets-5.58.0-1.fc30 kf5-kjs-5.58.0-1.fc30 kf5-kjsembed-5.58.0-1.fc30 kf5-kmediaplayer-5.58.0-1.fc30 kf5-knewstuff-5.58.0-1.fc30 kf5-knotifications-5.58.0-1.fc30 kf5-knotifyconfig-5.58.0-1.fc30 kf5-kpackage-5.58.0-1.fc30 kf5-kparts-5.58.0-2.fc30 kf5-kpeople-5.58.0-1.fc30 kf5-kplotting-5.58.0-1.fc30 kf5-kpty-5.58.0-1.fc30 kf5-kross-5.58.0-1.fc30 kf5-krunner-5.58.0-1.fc30 kf5-kservice-5.58.0-1.fc30 kf5-ktexteditor-5.58.0-1.fc30 kf5-ktextwidgets-5.58.0-1.fc30 kf5-kunitconversion-5.58.0-1.fc30 kf5-kwallet-5.58.0-1.fc30 kf5-kwayland-5.58.0-1.fc30 kf5-kwidgetsaddons-5.58.0-1.fc30 kf5-kwindowsystem-5.58.0-1.fc30 kf5-kxmlgui-5.58.0-1.fc30 kf5-kxmlrpcclient-5.58.0-1.fc30 kf5-modemmanager-qt-5.58.0-1.fc30 kf5-networkmanager-qt-5.58.0-2.fc30 kf5-plasma-5.58.0-1.fc30 kf5-prison-5.58.0-1.fc30 kf5-purpose-5.58.0-1.fc30 kf5-solid-5.58.0-1.fc30 kf5-sonnet-5.58.0-1.fc30 kf5-syndication-5.58.0-1.fc30 kf5-syntax-highlighting-5.58.0-1.fc30 kf5-threadweaver-5.58.0-1.fc30 oxygen-icon-theme-5.58.0-1.fc30 qqc2-desktop-style-5.58.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8cdb05a473

Comment 23 evanildobarros 2019-05-17 19:39:34 UTC
*** Bug 1711436 has been marked as a duplicate of this bug. ***

Comment 24 Fedora Update System 2019-05-18 01:01:57 UTC
breeze-icon-theme-5.58.0-1.fc30, extra-cmake-modules-5.58.0-1.fc30, kf5-5.58.0-1.fc30, kf5-attica-5.58.0-1.fc30, kf5-baloo-5.58.0-1.fc30, kf5-bluez-qt-5.58.0-1.fc30, kf5-frameworkintegration-5.58.0-2.fc30, kf5-kactivities-5.58.0-1.fc30, kf5-kactivities-stats-5.58.0-1.fc30, kf5-kapidox-5.58.0-1.fc30, kf5-karchive-5.58.0-1.fc30, kf5-kauth-5.58.0-1.fc30, kf5-kbookmarks-5.58.0-1.fc30, kf5-kcmutils-5.58.0-1.fc30, kf5-kcodecs-5.58.0-1.fc30, kf5-kcompletion-5.58.0-1.fc30, kf5-kconfig-5.58.0-1.fc30, kf5-kconfigwidgets-5.58.0-1.fc30, kf5-kcoreaddons-5.58.0-2.fc30, kf5-kcrash-5.58.0-1.fc30, kf5-kdbusaddons-5.58.0-1.fc30, kf5-kdeclarative-5.58.0-1.fc30, kf5-kded-5.58.0-1.fc30, kf5-kdelibs4support-5.58.0-1.fc30, kf5-kdesignerplugin-5.58.0-1.fc30, kf5-kdesu-5.58.0-1.fc30, kf5-kdewebkit-5.58.0-1.fc30, kf5-kdnssd-5.58.0-1.fc30, kf5-kdoctools-5.58.0-1.fc30, kf5-kemoticons-5.58.0-1.fc30, kf5-kfilemetadata-5.58.0-1.fc30, kf5-kglobalaccel-5.58.0-1.fc30, kf5-kguiaddons-5.58.0-1.fc30, kf5-kholidays-5.58.0-1.fc30, kf5-khtml-5.58.0-1.fc30, kf5-ki18n-5.58.0-1.fc30, kf5-kiconthemes-5.58.0-1.fc30, kf5-kidletime-5.58.0-1.fc30, kf5-kimageformats-5.58.0-1.fc30, kf5-kinit-5.58.0-1.fc30, kf5-kio-5.58.0-1.fc30, kf5-kirigami2-5.58.0-1.fc30, kf5-kitemmodels-5.58.0-1.fc30, kf5-kitemviews-5.58.0-1.fc30, kf5-kjobwidgets-5.58.0-1.fc30, kf5-kjs-5.58.0-1.fc30, kf5-kjsembed-5.58.0-1.fc30, kf5-kmediaplayer-5.58.0-1.fc30, kf5-knewstuff-5.58.0-1.fc30, kf5-knotifications-5.58.0-1.fc30, kf5-knotifyconfig-5.58.0-1.fc30, kf5-kpackage-5.58.0-1.fc30, kf5-kparts-5.58.0-2.fc30, kf5-kpeople-5.58.0-1.fc30, kf5-kplotting-5.58.0-1.fc30, kf5-kpty-5.58.0-1.fc30, kf5-kross-5.58.0-1.fc30, kf5-krunner-5.58.0-1.fc30, kf5-kservice-5.58.0-1.fc30, kf5-ktexteditor-5.58.0-1.fc30, kf5-ktextwidgets-5.58.0-1.fc30, kf5-kunitconversion-5.58.0-1.fc30, kf5-kwallet-5.58.0-1.fc30, kf5-kwayland-5.58.0-1.fc30, kf5-kwidgetsaddons-5.58.0-1.fc30, kf5-kwindowsystem-5.58.0-1.fc30, kf5-kxmlgui-5.58.0-1.fc30, kf5-kxmlrpcclient-5.58.0-1.fc30, kf5-modemmanager-qt-5.58.0-1.fc30, kf5-networkmanager-qt-5.58.0-2.fc30, kf5-plasma-5.58.0-1.fc30, kf5-prison-5.58.0-1.fc30, kf5-purpose-5.58.0-1.fc30, kf5-solid-5.58.0-1.fc30, kf5-sonnet-5.58.0-1.fc30, kf5-syndication-5.58.0-1.fc30, kf5-syntax-highlighting-5.58.0-1.fc30, kf5-threadweaver-5.58.0-1.fc30, oxygen-icon-theme-5.58.0-1.fc30, qqc2-desktop-style-5.58.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 MrMahdi313 2019-05-25 20:36:37 UTC
*** Bug 1713930 has been marked as a duplicate of this bug. ***

Comment 26 Dennis Schridde 2019-06-04 04:49:40 UTC
*** Bug 1716753 has been marked as a duplicate of this bug. ***

Comment 27 Matt Fagnani 2019-06-17 21:56:20 UTC
Similar problem has been detected:

kglobalaccel5 has aborted sometimes when I've logged out of Plasma 5.15.5 on X and Wayland in F30. coredumpctl showed these crashes 5 times with kf5-kglobalaccel-5.59.0-1.fc30, at least 5 times with 5.58.0, and many times with both of 5.57.0 and 5.55.0. systemd started the dbus-:1.2-org.kde.kglobalaccel@0.service after the X connection broke, and then kglobalaccel5 aborted since it had no X display to connect to in the following example with kf5-kglobalaccel-5.59.0-1.fc30.

Jun 16 01:08:15 kglobalaccel5[2930]: The X11 connection broke (error 1). Did the X11 server die?
Jun 16 01:08:15 systemd[1280]: dbus-:1.2-org.kde.kglobalaccel@0.service: Succeeded.
Jun 16 01:08:15 systemd[1280]: Started dbus-:1.2-org.kde.kglobalaccel@1.service.
Jun 16 01:08:15 kglobalaccel5[3854]: qt.qpa.xcb: could not connect to display :0
Jun 16 01:08:15 audit[3854]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=3854 comm="kglobalaccel5" exe="/usr/bin/kglobalaccel5" sig=6 res=1
Jun 16 01:08:15 kglobalaccel5[3854]: qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found.
Jun 16 01:08:15 kglobalaccel5[3854]: This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
Jun 16 01:08:15 systemd[1280]: dbus-:1.2-org.kde.kglobalaccel@1.service: Main process exited, code=dumped, status=6/ABRT
Jun 16 01:08:15 systemd[1280]: dbus-:1.2-org.kde.kglobalaccel@1.service: Succeeded.
Jun 16 01:08:16 systemd-coredump[3858]: Process 3854 (kglobalaccel5) of user 1000 dumped core.
Jun 16 01:08:20 abrt-notification[3988]: Process 14925 (kglobalaccel5) crashed in ??()

The other kglobalaccel crashes seemed to happen in a similar way as a new kglobalaccel5 process was started after the connection to X or Wayland had been stopped. 

reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        /usr/bin/kglobalaccel5
crash_function: qt_message_fatal
executable:     /usr/bin/kglobalaccel5
journald_cursor: s=c8604fe939df427387254aded2bb6f94;i=15b35;b=843277dbcb814000b0ee707631da3d5f;m=730876d6d;t=58ada396256d6;x=f6a7e9dcfa7fd0e4
kernel:         5.1.7-300.fc30.x86_64
package:        kf5-kglobalaccel-5.58.0-1.fc30
reason:         kglobalaccel5 killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 28 Diego Marino 2019-06-23 15:57:30 UTC
*** Bug 1723181 has been marked as a duplicate of this bug. ***

Comment 29 Jim Fischer 2019-07-02 06:51:55 UTC
*** Bug 1726049 has been marked as a duplicate of this bug. ***

Comment 30 Eduardo 2019-07-05 17:17:37 UTC
*** Bug 1727367 has been marked as a duplicate of this bug. ***

Comment 31 Iarle 2019-07-16 17:01:11 UTC
*** Bug 1730430 has been marked as a duplicate of this bug. ***

Comment 32 NaDario M. Seays 2019-07-31 10:53:11 UTC
*** Bug 1734740 has been marked as a duplicate of this bug. ***

Comment 33 Stepan 2019-08-12 10:00:19 UTC
*** Bug 1740105 has been marked as a duplicate of this bug. ***

Comment 34 V.NIRGUNA@GMAIL.COM 2019-08-21 06:33:49 UTC
*** Bug 1744007 has been marked as a duplicate of this bug. ***

Comment 35 mishka 2019-08-31 17:19:41 UTC
*** Bug 1747681 has been marked as a duplicate of this bug. ***

Comment 36 Alex 2019-09-06 00:08:16 UTC
*** Bug 1749592 has been marked as a duplicate of this bug. ***

Comment 37 Dima 2019-09-18 17:42:02 UTC
*** Bug 1753365 has been marked as a duplicate of this bug. ***

Comment 38 V.NIRGUNA@GMAIL.COM 2019-10-14 05:09:53 UTC
*** Bug 1761310 has been marked as a duplicate of this bug. ***

Comment 39 Dennis Schridde 2019-10-17 09:09:49 UTC
*** Bug 1762684 has been marked as a duplicate of this bug. ***

Comment 40 PeterVDanies 2019-10-26 22:13:52 UTC
*** Bug 1765874 has been marked as a duplicate of this bug. ***

Comment 41 Clemens Eisserer 2019-11-03 17:58:56 UTC
Similar problem has been detected:

crash while logging out

reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/kglobalaccel5
crash_function: qt_message_fatal
executable:     /usr/bin/kglobalaccel5
journald_cursor: s=a622a794a4034844b4868c2cf1614c2a;i=4b527;b=3cab8f50fe0b4f76870a91bcb17b9bc6;m=63e40a2;t=59674d7d1a19c;x=a757baf69200073f
kernel:         5.3.7-200.fc30.x86_64
package:        kf5-kglobalaccel-5.59.0-1.fc30
reason:         kglobalaccel5 killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 42 goofgog555 2019-11-09 16:01:35 UTC
*** Bug 1770472 has been marked as a duplicate of this bug. ***

Comment 43 Clemens Eisserer 2019-11-26 21:01:19 UTC
Similar problem has been detected:

crash when logging in

reporter:       libreport-2.11.3
backtrace_rating: 4
cmdline:        /usr/bin/kglobalaccel5
crash_function: qt_message_fatal
executable:     /usr/bin/kglobalaccel5
journald_cursor: s=b924837245bd4b478517b56cbcd250b2;i=25781;b=da5d54f27458448d9e1be0a6959289b0;m=2b23ad2;t=598459ce6cbe7;x=989701a5d0ae723d
kernel:         5.3.11-200.fc30.x86_64
package:        kf5-kglobalaccel-5.59.0-1.fc30
reason:         kglobalaccel5 killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
xsession_errors:

Comment 44 Clemens Eisserer 2020-03-11 12:35:35 UTC
Similar problem has been detected:

crash when using kde unside Virtualbox with fresh configuration.

reporter:       libreport-2.12.0
backtrace_rating: 4
cmdline:        /usr/bin/kglobalaccel5
crash_function: qt_message_fatal
executable:     /usr/bin/kglobalaccel5
journald_cursor: s=c75d634c48c64e299521ed9df5d7796d;i=f1e3;b=b0ddd9fdfa2c4adea49ab4bf7c7b6a85;m=7aadbe0a;t=5a08f96c61657;x=747e62761ba4e695
kernel:         5.5.7-100.fc30.x86_64
package:        kf5-kglobalaccel-5.64.0-1.fc30
reason:         kglobalaccel5 killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
xsession_errors:

Comment 45 Ben Cotton 2020-04-30 20:20:36 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 46 Ben Cotton 2020-05-26 18:27:42 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.